/*
 * Created on Jan 16, 2004
*/
package edu.umd.cs.daveho.eclipse.autocvs;

/**
 * When enabled, prints debug statements for AutoCVS plugin.
 * @author David Hovemeyer
 */
public class Debug {
	/** Set to true when debugging is enabled for the plugin. */
	public static final boolean DEBUG = Boolean.getBoolean("edu.umd.cs.daveho.eclipse.autocvs.debug");
	
	/**
	 * Print a debugging message.
	 * Does nothing if DEBUG flag is false.
	 * 
	 * @param message the message
	 */
	public static void print(String message) {
		if (DEBUG)
			System.out.println(message);
	}
	
	/**
	 * Print a debugging message for an exception.
	 */
	public static void print(String message, Throwable e) {
		if (DEBUG) {
			System.out.println(message);
			if (e != null)
				e.printStackTrace();
		}
	}
	
}
