/*
 * Created on Jan 23, 2004
 */
package edu.umd.cs.daveho.eclipse.autocvs;

import java.util.Date;

/**
 * An AutoCVS event to be logged.
 * @author David Hovemeyer
 */
public class Event {
	private Date date;
	private String message;
	private Throwable exception;
	private boolean isError;
	
	public Event(String message) {
		this(message, null);
	}
	
	public Event(String message, Throwable exception) {
		this.date = new Date();
		this.message = message;
		this.exception = exception;
	}
	
	public void setIsError(boolean isError) {
		this.isError = isError;
	}
	
	public boolean isError() {
		return isError;
	}
	
	public Date getDate() {
		return date;
	}
	
	public String getMessage() {
		return message;
	}
	
	public Throwable getException() {
		return exception;
	}
}
